/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.todo.service.http;

import aQute.bnd.annotation.ProviderType;

import com.liferay.portal.kernel.log.Log;
import com.liferay.portal.kernel.log.LogFactoryUtil;

import com.liferay.todo.service.TodoServiceUtil;

import java.rmi.RemoteException;

/**
 * Provides the SOAP utility for the
 * {@link TodoServiceUtil} service utility. The
 * static methods of this class calls the same methods of the service utility.
 * However, the signatures are different because it is difficult for SOAP to
 * support certain types.
 *
 * <p>
 * ServiceBuilder follows certain rules in translating the methods. For example,
 * if the method in the service utility returns a {@link java.util.List}, that
 * is translated to an array of {@link com.liferay.todo.model.TodoSoap}.
 * If the method in the service utility returns a
 * {@link com.liferay.todo.model.Todo}, that is translated to a
 * {@link com.liferay.todo.model.TodoSoap}. Methods that SOAP cannot
 * safely wire are skipped.
 * </p>
 *
 * <p>
 * The benefits of using the SOAP utility is that it is cross platform
 * compatible. SOAP allows different languages like Java, .NET, C++, PHP, and
 * even Perl, to call the generated services. One drawback of SOAP is that it is
 * slow because it needs to serialize all calls into a text format (XML).
 * </p>
 *
 * <p>
 * You can see a list of services at http://localhost:8080/api/axis. Set the
 * property <b>axis.servlet.hosts.allowed</b> in portal.properties to configure
 * security.
 * </p>
 *
 * <p>
 * The SOAP utility is only generated for remote services.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see TodoServiceHttp
 * @see com.liferay.todo.model.TodoSoap
 * @see TodoServiceUtil
 * @generated
 */
@ProviderType
public class TodoServiceSoap {
	public static com.liferay.todo.model.TodoSoap addTodo(
		java.lang.String description) throws RemoteException {
		try {
			com.liferay.todo.model.Todo returnValue = TodoServiceUtil.addTodo(description);

			return com.liferay.todo.model.TodoSoap.toSoapModel(returnValue);
		}
		catch (Exception e) {
			_log.error(e, e);

			throw new RemoteException(e.getMessage());
		}
	}

	public static com.liferay.todo.model.TodoSoap setDone(long id, boolean done)
		throws RemoteException {
		try {
			com.liferay.todo.model.Todo returnValue = TodoServiceUtil.setDone(id,
					done);

			return com.liferay.todo.model.TodoSoap.toSoapModel(returnValue);
		}
		catch (Exception e) {
			_log.error(e, e);

			throw new RemoteException(e.getMessage());
		}
	}

	public static void deleteTodo(long id) throws RemoteException {
		try {
			TodoServiceUtil.deleteTodo(id);
		}
		catch (Exception e) {
			_log.error(e, e);

			throw new RemoteException(e.getMessage());
		}
	}

	public static com.liferay.todo.model.TodoSoap[] getTodos()
		throws RemoteException {
		try {
			java.util.List<com.liferay.todo.model.Todo> returnValue = TodoServiceUtil.getTodos();

			return com.liferay.todo.model.TodoSoap.toSoapModels(returnValue);
		}
		catch (Exception e) {
			_log.error(e, e);

			throw new RemoteException(e.getMessage());
		}
	}

	private static Log _log = LogFactoryUtil.getLog(TodoServiceSoap.class);
}