package todo.app.java.portlet.portlet;

import com.liferay.portal.kernel.dao.orm.QueryPos;
import com.liferay.portal.kernel.util.ParamUtil;
import com.liferay.portal.kernel.util.WebKeys;
import com.liferay.todo.service.TodoLocalService;
import com.liferay.todo.service.TodoService;
import org.osgi.service.component.annotations.Reference;
import todo.app.java.portlet.constants.TodoWebJavaPortletKeys;
import com.liferay.portal.kernel.theme.ThemeDisplay;

import com.liferay.portal.kernel.portlet.bridges.mvc.MVCPortlet;

import javax.portlet.*;

import org.osgi.service.component.annotations.Component;

import com.liferay.portal.kernel.servlet.SessionMessages;

import java.io.IOException;

/**
 * @author arnaud
 */
@Component(
	immediate = true,
	property = {
		"com.liferay.portlet.display-category=category.sample",
		"com.liferay.portlet.instanceable=true",
		"javax.portlet.display-name=todo-web-java Portlet",
		"javax.portlet.init-param.template-path=/",
		"javax.portlet.init-param.view-template=/view.jsp",
		"javax.portlet.name=" + TodoWebJavaPortletKeys.TodoWebJava,
		"javax.portlet.resource-bundle=content.Language",
		"javax.portlet.security-role-ref=power-user,user"
	},
	service = Portlet.class
)
public class TodoWebJavaPortlet extends MVCPortlet {


	@Override
	public void doView(RenderRequest request, RenderResponse response) throws IOException, PortletException {

		ThemeDisplay 	td = (ThemeDisplay)request.getAttribute(WebKeys.THEME_DISPLAY);

		request.setAttribute(
				"todoList",
				_todoService.getTodos());

		super.doView(request, response);
	}

	@Override
	public void processAction(ActionRequest request, ActionResponse response) throws IOException, PortletException {
		String desc = ParamUtil.getString(request, "task");
		if(desc != null && !desc.isEmpty()) {
			SessionMessages.add(request, "todo.successfully.added");
			_todoService.addTodo(ParamUtil.getString(request, "task"));
		}
	}

	@Reference
	private volatile TodoService _todoService;
}