package todo.app.vue.portlet;

import com.liferay.portal.kernel.portlet.bridges.mvc.MVCRenderCommand;
import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;
import org.osgi.service.component.annotations.Component;
import todo.app.vue.constants.TodoAppVuePortletKeys;

import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

@Component(
        immediate = true,
        property = {
                "javax.portlet.name=" + TodoAppVuePortletKeys.TodoAppVue,
                "mvc.command.name=/",
        },
        service = MVCRenderCommand.class
)
public class TodoAppVueRenderCommand implements MVCRenderCommand {

    @Override
    public String render(RenderRequest renderRequest, RenderResponse renderResponse) {
        // Retrieves the OSGI bundle where the class is stored
        Bundle bundle = FrameworkUtil.getBundle(this.getClass());
        // We use the last modification of the bundle as the cache key
        // Every time the bundle is redeployed, this key changes
        long lastModificationOfBundle = bundle.getLastModified();
        renderRequest.setAttribute("timestamp", lastModificationOfBundle);

        return "/view.jsp";
    }
}
